Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Data Processing
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • ListOperations
        • ListHosts
        • ListUILinks
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Body parameters
  • UpdateClusterConfigSpec
  • HadoopConfig
  • InitializationAction
  • UpdateSubclusterConfigSpec
  • Resources
  • AutoscalingConfig
  • Response
  • Status
  1. API reference
  2. REST
  3. Cluster
  4. Update

Yandex Data Processing API, REST: Cluster.Update

Written by
Yandex Cloud
Improved by
amatol
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Body parameters
  • UpdateClusterConfigSpec
  • HadoopConfig
  • InitializationAction
  • UpdateSubclusterConfigSpec
  • Resources
  • AutoscalingConfig
  • Response
  • Status

Updates the configuration of the specified cluster.

HTTP requestHTTP request

PATCH https://dataproc.api.cloud.yandex.net/dataproc/v1/clusters/{clusterId}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the cluster to update.
To get the cluster ID, make a ClusterService.List request.

The maximum string length in characters is 50.

Body parametersBody parameters

{
  "updateMask": "string",
  "description": "string",
  "labels": "object",
  "configSpec": {
    "hadoop": {
      "services": [
        "string"
      ],
      "properties": "object",
      "sshPublicKeys": [
        "string"
      ],
      "initializationActions": [
        {
          "uri": "string",
          "args": [
            "string"
          ],
          "timeout": "string"
        }
      ],
      "osloginEnabled": "boolean"
    },
    "subclustersSpec": [
      {
        "id": "string",
        "name": "string",
        "resources": {
          "resourcePresetId": "string",
          "diskTypeId": "string",
          "diskSize": "string"
        },
        "hostsCount": "string",
        "autoscalingConfig": {
          "maxHostsCount": "string",
          "preemptible": "boolean",
          "measurementDuration": "string",
          "warmupDuration": "string",
          "stabilizationDuration": "string",
          "cpuUtilizationTarget": "string",
          "decommissionTimeout": "string"
        }
      }
    ]
  },
  "name": "string",
  "serviceAccountId": "string",
  "bucket": "string",
  "decommissionTimeout": "string",
  "uiProxy": "boolean",
  "securityGroupIds": [
    "string"
  ],
  "deletionProtection": "boolean",
  "logGroupId": "string",
  "autoscalingServiceAccountId": "string"
}

Field

Description

updateMask

string (field-mask)

A comma-separated names off ALL fields to be updated.
Only the specified fields will be changed. The others will be left untouched.
If the field is specified in updateMask and no value for that field was sent in the request,
the field's value will be reset to the default. The default value for most fields is null or 0.

If updateMask is not sent in the request, all fields' values will be updated.
Fields specified in the request will be updated to provided values.
The rest of the fields will be reset to the default.

description

string

New description for the cluster.

The maximum string length in characters is 256.

labels

object (map<string, string>)

A new set of cluster labels as key:value pairs.

The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression [a-z][-_0-9a-z]*. Each value must match the regular expression [-_0-9a-z]*. No more than 64 per resource.

configSpec

UpdateClusterConfigSpec

Configuration and resources for hosts that should be created with the Yandex Data Processing cluster.

name

string

New name for the Yandex Data Processing cluster. The name must be unique within the folder.

Value must match the regular expression |[a-z][-a-z0-9]{1,61}[a-z0-9].

serviceAccountId

string

ID of the new service account to be used by the Yandex Data Processing manager agent.

bucket

string

Name of the new Object Storage bucket to use for Yandex Data Processing jobs.

decommissionTimeout

string (int64)

Timeout to gracefully decommission nodes. In seconds. Default value: 0

Acceptable values are 0 to 86400, inclusive.

uiProxy

boolean

Enable UI Proxy feature.

securityGroupIds[]

string

User security groups.

deletionProtection

boolean

Deletion Protection inhibits deletion of the cluster

logGroupId

string

ID of the cloud logging log group to write logs. If not set, logs will not be sent to logging service

autoscalingServiceAccountId

string

ID of the new service account to be used by the Instance Groups service.

UpdateClusterConfigSpecUpdateClusterConfigSpec

Field

Description

hadoop

HadoopConfig

Hadoop specific options

subclustersSpec[]

UpdateSubclusterConfigSpec

New configuration for subclusters in a cluster.

HadoopConfigHadoopConfig

Hadoop configuration that describes services installed in a cluster,
their properties and settings.

Field

Description

services[]

enum (Service)

Set of services used in the cluster (if empty, the default set is used).

  • HDFS
  • YARN
  • MAPREDUCE
  • HIVE
  • TEZ
  • ZOOKEEPER
  • HBASE
  • SQOOP
  • FLUME
  • SPARK
  • ZEPPELIN
  • OOZIE
  • LIVY

properties

object (map<string, string>)

Properties set for all hosts in *-site.xml configurations. The key should indicate
the service and the property.
For example, use the key 'hdfs:dfs.replication' to set the dfs.replication property
in the file /etc/hadoop/conf/hdfs-site.xml.

sshPublicKeys[]

string

List of public SSH keys to access to cluster hosts.

initializationActions[]

InitializationAction

Set of init-actions

osloginEnabled

boolean

Oslogin enable on cluster nodes

InitializationActionInitializationAction

Field

Description

uri

string

URI of the executable file

args[]

string

Arguments to the initialization action

timeout

string (int64)

Execution timeout

UpdateSubclusterConfigSpecUpdateSubclusterConfigSpec

Field

Description

id

string

Required field. ID of the subcluster to update.
To get the subcluster ID make a SubclusterService.List request.

The maximum string length in characters is 50.

name

string

Name of the subcluster.

Value must match the regular expression |[a-z][-a-z0-9]{1,61}[a-z0-9].

resources

Resources

Resource configuration for each host in the subcluster.

hostsCount

string (int64)

Number of hosts in the subcluster.

The minimum value is 1.

autoscalingConfig

AutoscalingConfig

Configuration for instance group based subclusters

ResourcesResources

Field

Description

resourcePresetId

string

ID of the resource preset for computational resources available to a host (CPU, memory etc.).
All available presets are listed in the documentation.

The maximum string length in characters is 50.

diskTypeId

string

Type of the storage environment for the host.
Possible values:

  • network-hdd - network HDD drive,
  • network-ssd - network SSD drive.

The maximum string length in characters is 50.

diskSize

string (int64)

Volume of the storage available to a host, in bytes.

The minimum value is 0.

AutoscalingConfigAutoscalingConfig

Field

Description

maxHostsCount

string (int64)

Upper limit for total instance subcluster count.

Acceptable values are 1 to 100, inclusive.

preemptible

boolean

Preemptible instances are stopped at least once every 24 hours, and can be stopped at any time
if their resources are needed by Compute.
For more information, see Preemptible Virtual Machines.

measurementDuration

string (duration)

Required field. Time in seconds allotted for averaging metrics.

warmupDuration

string (duration)

The warmup time of the instance in seconds. During this time,
traffic is sent to the instance, but instance metrics are not collected.

stabilizationDuration

string (duration)

Minimum amount of time in seconds allotted for monitoring before
Instance Groups can reduce the number of instances in the group.
During this time, the group size doesn't decrease, even if the new metric values
indicate that it should.

cpuUtilizationTarget

string

Defines an autoscaling rule based on the average CPU utilization of the instance group.

Acceptable values are 0 to 100, inclusive.

decommissionTimeout

string (int64)

Timeout to gracefully decommission nodes during downscaling. In seconds. Default value: 120

Acceptable values are 0 to 86400, inclusive.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Was the article helpful?

Previous
Create
Next
Delete
© 2026 Direct Cursus Technology L.L.C.